Package org.bukkit.entity

# Enum Class ExperienceOrb.SpawnReason

java.lang.Object
java.lang.Enum<ExperienceOrb.SpawnReason>
org.bukkit.entity.ExperienceOrb.SpawnReason

All Implemented Interfaces:
  `Serializable`, `Comparable<ExperienceOrb.SpawnReason>`, `Constable`

Enclosing interface:
  ExperienceOrb

public static enum ExperienceOrb.SpawnReason extends Enum<ExperienceOrb.SpawnReason>
Reasons for why this Experience Orb was spawned

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BLOCK_BREAK`
Spawned by player breaking a block that gives experience points such as Diamond Ore
`BREED`
Spawned by player breeding animals
`CUSTOM`
Spawned by Bukkit API
`ENTITY_DEATH`
Spawned by an entity dying after being damaged by a player
`EXP_BOTTLE`
Spawned by a player throwing an experience points bottle
`FISHING`
Spawned by player fishing
`FURNACE`
Spawned by player using a furnace
`GRINDSTONE`
Spawned by a player using a grindstone
`PLAYER_DEATH`
Spawned by a player dying
`UNKNOWN`
We do not know why it was spawned
`VILLAGER_TRADE`
Spawned by player trading with a villager

## Method Summary

Modifier and Type
Method
Description
`static ExperienceOrb.SpawnReason`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ExperienceOrb.SpawnReason[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PLAYER_DEATH

public static final ExperienceOrb.SpawnReason PLAYER_DEATH
Spawned by a player dying

### ENTITY_DEATH

public static final ExperienceOrb.SpawnReason ENTITY_DEATH
Spawned by an entity dying after being damaged by a player

### FURNACE

public static final ExperienceOrb.SpawnReason FURNACE
Spawned by player using a furnace

### BREED

public static final ExperienceOrb.SpawnReason BREED
Spawned by player breeding animals

### VILLAGER_TRADE

public static final ExperienceOrb.SpawnReason VILLAGER_TRADE
Spawned by player trading with a villager

### FISHING

public static final ExperienceOrb.SpawnReason FISHING
Spawned by player fishing

### BLOCK_BREAK

public static final ExperienceOrb.SpawnReason BLOCK_BREAK
Spawned by player breaking a block that gives experience points such as Diamond Ore

### CUSTOM

public static final ExperienceOrb.SpawnReason CUSTOM
Spawned by Bukkit API

### EXP_BOTTLE

public static final ExperienceOrb.SpawnReason EXP_BOTTLE
Spawned by a player throwing an experience points bottle

### GRINDSTONE

public static final ExperienceOrb.SpawnReason GRINDSTONE
Spawned by a player using a grindstone

### UNKNOWN

public static final ExperienceOrb.SpawnReason UNKNOWN
We do not know why it was spawned

## Method Details

### values

public static ExperienceOrb.SpawnReason[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ExperienceOrb.SpawnReason valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null